#ifndef _MACHINE_H_
#define _MACHINE_H_

#define INCLUDE_ALLOW_USERLEVEL
#define INCLUDE_ALLOW_VMM
#define INCLUDE_ALLOW_MODULE
#define INCLUDE_ALLOW_VMK_MODULE
#define INCLUDE_ALLOW_VMKERNEL
#define INCLUDE_ALLOW_DISTRIBUTE
#include "includeCheck.h"

#include "vm_basic_types.h"

/* machine dependent definitions */
#ifdef VM_IA64
#include "ia64.h"
#endif

#ifdef VM_I386
#include "x86.h"
#endif

/* machine independent definitions */

#endif // _MACHINE_H_
